vlc crashed with SIGSEGV in __pthread_mutex_lock()

Bug #979490 reported by Jens Erik Bech on 2012-04-12
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
VLC media player
Fix Released
Unknown
vlc (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned

Bug Description

I set VLC to play a AVCHD Blu-ray-disk with menues created on 40 episodes. If it should have done it right, it should have displayed the menues with options for choosing a film to play.
It could not cope and hot down. The disk was UNENCRYPTED and made according to all rules.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: vlc-nox 2.0.1-4
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic x86_64
NonfreeKernelModules: wl nvidia
ApportVersion: 2.0.1-0ubuntu1
Architecture: amd64
Date: Thu Apr 12 02:42:45 2012
ExecutablePath: /usr/bin/vlc
InstallationMedia: Xubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120411)
ProcCmdline: /usr/bin/vlc
ProcEnviron:
 LANGUAGE=da:en
 PATH=(custom, no user)
 LANG=da_DK.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x7f8814204e84 <pthread_mutex_lock+4>: mov 0x10(%rdi),%esi
 PC (0x7f8814204e84) ok
 source "0x10(%rdi)" (0x00000020) not located in a known VMA region (needed readable region)!
 destination "%esi" ok
 Stack memory exhausted (SP below stack segment)
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: vlc
StacktraceTop:
 pthread_mutex_lock () from /lib/x86_64-linux-gnu/libpthread.so.0
 ?? () from /usr/lib/vlc/plugins/access/liblibbluray_plugin.so
 ?? () from /usr/lib/x86_64-linux-gnu/libbluray.so.1
 ?? () from /usr/lib/x86_64-linux-gnu/libbluray.so.1
 ?? () from /usr/lib/x86_64-linux-gnu/libbluray.so.1
Title: vlc crashed with SIGSEGV in pthread_mutex_lock()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

CVE References

Jens Erik Bech (jenserikbech) wrote :

StacktraceTop:
 __pthread_mutex_lock (mutex=0x1) at pthread_mutex_lock.c:50
 blurayClearOverlay (p_demux=<optimized out>, ov=<optimized out>) at bluray.c:568
 blurayOverlayProc (ptr=<optimized out>, overlay=0x7f87f5965be0) at bluray.c:661
 _clear_osd (plane=1, gc=0x7f87e800b470) at libbluray/decoders/graphics_controller.c:433
 _select_page (gc=0x7f87e800b470, page_id=<optimized out>) at libbluray/decoders/graphics_controller.c:492

Changed in vlc (Ubuntu):
importance: Undecided → Medium
summary: - vlc crashed with SIGSEGV in pthread_mutex_lock()
+ vlc crashed with SIGSEGV in __pthread_mutex_lock()
tags: removed: need-amd64-retrace
Benjamin Drung (bdrung) on 2012-05-23
visibility: private → public
Benjamin Drung (bdrung) on 2012-05-26
Changed in vlc (Ubuntu):
status: New → Triaged

Could you try to reproduce it with the latest PPA? It should be solved.

Benjamin Drung (bdrung) on 2012-07-21
Changed in vlc:
milestone: none → 2.1.0
Benjamin Drung (bdrung) on 2012-08-01
Changed in vlc (Ubuntu):
status: Triaged → Fix Committed
Benjamin Drung (bdrung) on 2012-08-01
Changed in vlc:
milestone: 2.1.0 → 2.0.4
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 2.0.4-0ubuntu1

---------------
vlc (2.0.4-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1067064).
    - Fix crashes (LP: #947156, #958462, #960020, #979490, #1033682)
    - Correct default encoding for Hebrew subtitles (LP: #1051552)
  * Drop backported bp-fix-hang-caused-by-notify.patch.
  * Build the sftp access and Opus codec plugin and add them to vlc-nox.
 -- Benjamin Drung <email address hidden> Mon, 15 Oct 2012 22:28:55 +0200

Changed in vlc (Ubuntu):
status: Fix Committed → Fix Released
Changed in vlc:
status: Unknown → Fix Released

Hello Jens, or anyone else affected,

Accepted vlc into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/vlc/2.0.4-0ubuntu0.12.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in vlc (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vlc - 2.0.5-0ubuntu0.12.04.1

---------------
vlc (2.0.5-0ubuntu0.12.04.1) precise-security; urgency=low

  * New bug-fixing upstream release.
    - Fix hang caused by the notify plugin. (Closes: #662628, LP: #970447)
    - Fix crashes (LP: #947156, #958462, #960020, #979490, #1033682)
    - Correct default encoding for Hebrew subtitles (LP: #1051552)
  * SECURITY UPDATE: denial of service via crafted PNG file (LP: #1084054)
    - CVE-2012-5470
  * SECURITY UPDATE: Buffer overflows in freetype renderer and HTML subtitle
    parser can cause a denial of service (process termination) and possibly
    execute arbitrary code.
    - VideoLAN-SA-1301
 -- Benjamin Drung <email address hidden> Sat, 05 Jan 2013 14:47:33 +0100

Changed in vlc (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.